.loading{
    position: fixed;
    top:0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background:rgba(0, 0, 0, 0.3);
    z-index: 99;
    display: none;
}
.loading:before{
    border-radius: 10px;
    display: block;
    content:" ";
    width: 100px;
    height: 100px;
    background-image: url(https://static.yosetti.com/assets/img/common/loading-white.gif);
    background-size: 24px 24px;
    background-position: center center;
    background-repeat: no-repeat;
    background-color:#FFF;
    box-shadow: 0px 0px 20px rgb(0 0 0 / 20%);
    top:40%;
    left: 50%;
    margin-left: -50px;
    margin-top:-50px;
    position: absolute;

}
.loading.is-show{
    display: block;
}
